package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import java.math.BigDecimal;
import java.text.NumberFormat;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CreditLoanSumCountAction.class */
public class CreditLoanSumCountAction extends LifeAction {
    public String execute(Context context) throws GENEException {
        LifeStandard.getSelfDefineSettingsValue("cacheServiceFlag");
        KeyedCollection accountIcoll = new KeyedCollection();
        NumberFormat.getPercentInstance();
        IndexedCollection classReportList = context.getDataElement("classReportList");
        BigDecimal creCountSum = new BigDecimal(0);
        BigDecimal creAmtSum = new BigDecimal(0);
        BigDecimal loaCountSum = new BigDecimal(0);
        BigDecimal loaAmtSum = new BigDecimal(0);
        for (int i = 0; i < classReportList.size(); i++) {
            KeyedCollection curkcoll = classReportList.getElementAt(i);
            BigDecimal creCount = new BigDecimal((String) curkcoll.getDataValue("creCount"));
            BigDecimal creAmt = new BigDecimal((String) curkcoll.getDataValue("creAmt"));
            BigDecimal loaCount = new BigDecimal((String) curkcoll.getDataValue("loaCount"));
            BigDecimal loaAmt = new BigDecimal((String) curkcoll.getDataValue("loaAmt"));
            creCountSum = creCountSum.add(creCount);
            creAmtSum = creAmtSum.add(creAmt);
            loaCountSum = loaCountSum.add(loaCount);
            loaAmtSum = loaAmtSum.add(loaAmt);
        }
        accountIcoll.addDataField("rowNum", "合计");
        accountIcoll.addDataField("financeName", "");
        accountIcoll.addDataField("creCount", creCountSum);
        accountIcoll.addDataField("creAmt", creAmtSum);
        accountIcoll.addDataField("loaCount", loaCountSum);
        accountIcoll.addDataField("loaAmt", loaAmtSum);
        classReportList.addDataElement(accountIcoll);
        return "0";
    }
}
